LFR-FSW - Bug #1081

NC 287 CNES : pb dans certains SWF durant calibration nov 2016 : la mauvaise freq apparait dans le
SWF
Description

Nouvelle anomalie présentée par Emmanuel. Possible désynchronisation de snapshots LFR dans de trés rares cas. Un exemple a
été produit. Thomas va regarder dans ses datas. NC 287.

Salut Emmanuel,

Je viens de regarder d'un peu plus prés le cas bizarre que tu nous a présenté vendredi dernier. Il s'agit du 4eme SWF_F2 dans le
3éme bloc du SWEEP "PFM_CAL_LFR_SWEEP_CONF2_F0_F1_F2_100K_2016-11-25_Run1__fd3bcc8__CNES":
ogbhfmagnabfpdcn.png

Les snapshots sont réguliers et bien séparés de 22 s comme il se doit. Une FFT sur le snapshot incriminé (le 4éme dans la figure
ci-dessus) montre en effet la présence de 2 fréquences, 96Hz + 100Hz:

ifmnfaiipmabgchb.png

Faire la FFT que la portion gauche du snapshot ne montre qu'une fréquence (quasi pure) a 96Hz. Inversement faire la FFT que sur
la portion droite ne montre que la fréquence a 100Hz (également quasi-pure). Hormis remettre en cause la datation des données
LFR je ne vois pas d'autre possibilité que de dire que le GSE a arrété la génération des signaux a 96Hz et enclenché celle a 100Hz
beaucoup plus t6t que prévu ...

J'essaie demain de voir ce que les fichiers de stimuli contiennent.

Xavier, j'ai une question. Pour ce jeu de données les HK sont enregistrés toutes les 5 s et non toutes les 1s. Est-ce normal ?
Probléme de version pipeline utilisé (ici 1.1.10) ?

a+
Thomas

History

#1 - 25/04/2017 12:21 PM - bruno katra

Verifs effectuées dans les HK CDF :

- LFR est synchro a priori (UPDATE_TIME + Timecode)
-onn'aque 1 HK/5

Thomas a vérifié le fichier de stimuli du GSE CNES : a priori OK
Demande & Emmanuel de précisions :

Hello,

Durant les calibrations on aurait vu le bug 1 fois par sweep LFR a peu prés, ce qui correspond a un bug tous les 60 snapshots.

Etant donné que nous avons fait le méme test systématiquement pour toutes les configurations BIAS et pour tous les paliers de température, on peut
dire que nous avons joué le méme test 7x10=70 fois.

D’aprés Seb Tellier qui a fait les essais I'erreur interviendrai plus souvent entre le 40 et le 60éme snapshot.

Pour trouver des cas, il faut regarder les fonctions de transfert faites pendant les calibrations et quand tu vois un décrochage sur un seul point de la
fonction de transfert parmi d’autres, c’est surement un moment ou il y a désynchronisation. C’est comme cela que nous avons trouvé I'exemple.

A+

#2 - 25/04/2017 12:28 PM - bruno katra
- File PEM_CAL_LFR_SWEEP _CONF2 FO F1_F2 100K _2016-11-25 Runi__ fd3bcc8 CNES.zip added

Salut Emmanuel, merci mais je me suis mal fait comprendre : je ne sais pas lire ce fichier XML. Je demandais si par hasard vous auriez le flux binaire
de LFR tel gu'il sort lorsque tu coches "Store Raw" du GSE LFR. Merci quand méme.

J'ai réécrit de mon cété un scénario qui est tres proche du votre (sweep 1freq par SWF) et je vais le faire tourner pour voir si on arrive a reproduire le
bug mais manque de bol I'alim de I'EQM vient de nous lacher donc je n'ai plus qu'une alim que je dois partager avec le banc de test de la
non-regression... Y'a des jours...
Je vous tiens au courant
A+
Bruno
Le 24/04/2017 a 16:04, Guilhem Emmanuel (ALTRAN TECHNOLOGIES) a écrit :
Hello,
Voila I'extract SGSE pour le test avec desynchronisation, vous trouverez dedans toutes les TMs notamment celles de configuration de LFR.

A+

Emmanuel

#3 - 22/06/2018 04:45 PM - bruno katra

- Status changed from In Progress to Closed

Pb corrigé par Alexis dans FSW >= 3.2.0.16. Pb causée par un bug SW dans les buffers rotatifs de Paul. Pb et solution présentée lors du Consortium
meeting JUIN 2018.
